/*
 * URL Shortener API
 * This API is responsible of authetication and the creation, modification and deletion of uris and hooks.
 *
 * OpenAPI spec version: 0.2.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.9
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.UrlShortenerApi) {
      root.UrlShortenerApi = {};
    }
    root.UrlShortenerApi.URI = factory(root.UrlShortenerApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';

  /**
   * The URI model module.
   * @module model/URI
   * @version 0.2.0
   */

  /**
   * Constructs a new <code>URI</code>.
   * @alias module:model/URI
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>URI</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/URI} obj Optional instance to populate.
   * @return {module:model/URI} The populated <code>URI</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('uriId'))
        obj.uriId = ApiClient.convertToType(data['uriId'], 'String');
      if (data.hasOwnProperty('userId'))
        obj.userId = ApiClient.convertToType(data['userId'], 'Number');
      if (data.hasOwnProperty('realURI'))
        obj.realURI = ApiClient.convertToType(data['realURI'], 'String');
      if (data.hasOwnProperty('shortURI'))
        obj.shortURI = ApiClient.convertToType(data['shortURI'], 'String');
      if (data.hasOwnProperty('activated'))
        obj.activated = ApiClient.convertToType(data['activated'], 'Boolean');
      if (data.hasOwnProperty('reachable'))
        obj.reachable = ApiClient.convertToType(data['reachable'], 'Boolean');
      if (data.hasOwnProperty('safe'))
        obj.safe = ApiClient.convertToType(data['safe'], 'Boolean');
    }
    return obj;
  }

  /**
   * @member {String} uriId
   */
  exports.prototype.uriId = undefined;

  /**
   * @member {Number} userId
   */
  exports.prototype.userId = undefined;

  /**
   * @member {String} realURI
   */
  exports.prototype.realURI = undefined;

  /**
   * @member {String} shortURI
   */
  exports.prototype.shortURI = undefined;

  /**
   * @member {Boolean} activated
   */
  exports.prototype.activated = undefined;

  /**
   * @member {Boolean} reachable
   */
  exports.prototype.reachable = undefined;

  /**
   * @member {Boolean} safe
   */
  exports.prototype.safe = undefined;

  return exports;

}));
